using SickBlazorApp.Components;
using SickBlazorApp.Options;
using SickBlazorApp.Services;
using SickBlazorApp.Services.Windows;

var builder = WebApplication.CreateBuilder(args);

// Add services to the container.
builder.Services.Configure<CanBusOptions>(
    builder.Configuration.GetSection("CanBus"));

builder.Services.AddSingleton<ICanBusService, PcanCanService>();
builder.Services.AddRazorComponents()
    .AddInteractiveServerComponents();

var app = builder.Build();

// Configure the HTTP request pipeline.
if (!app.Environment.IsDevelopment())
{
    app.UseExceptionHandler("/Error", createScopeForErrors: true);
    // The default HSTS value is 30 days. You may want to change this for production scenarios, see https://aka.ms/aspnetcore-hsts.
    app.UseHsts();
}
app.UseStatusCodePagesWithReExecute("/not-found", createScopeForStatusCodePages: true);
app.UseHttpsRedirection();

app.UseAntiforgery();

app.MapStaticAssets();
app.MapRazorComponents<App>()
    .AddInteractiveServerRenderMode();

app.Run();
